<?php

namespace Drupal\ckeditor_syntaxhighlighter\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "ckeditor_syntaxhighlight" plugin.
 *
 * @CKEditorPlugin(
 *   id = "syntaxhighlight",
 *   label = @Translation("CKEditor Syntax Highlighter"),
 *   module = "ckeditor"
 * )
 */
class CKEditorPluginSyntaxHighlighter extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return libraries_get_path('ckeditor_syntaxhighlight') . '/plugins/syntaxhighlight/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [
      'syntaxHighlight_dialogTitleAdd' => $this->t('Insert Syntax'),
      'syntaxHighlight_dialogTitleEdit' => $this->t('Edit Syntax'),
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'Syntaxhighlight' => [
        'label' => $this->t('Syntax Highlighter'),
        'image' => libraries_get_path('ckeditor_syntaxhighlight') . '/plugins/syntaxhighlight/icons/syntaxhighlight.png',
      ],
    ];
  }

}
